using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class Group : DataEntityBase
	{
		public Group()
		{
			base.InitMetaData();
		}

		private System.Int32 _GroupID;
		public System.Int32 GroupID
		{
			get
			{
				return this._GroupID;
			}
			set
			{
				this._GroupID = value;
				IsChanged = true;
			}
		}

		private System.String _SubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return this._SubSystemID;
			}
			set
			{
				this._SubSystemID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CompanyID;
		public System.Int32 CompanyID
		{
			get
			{
				return this._CompanyID;
			}
			set
			{
				this._CompanyID = value;
				IsChanged = true;
			}
		}

		private System.String _GroupName;
		public System.String GroupName
		{
			get
			{
				return this._GroupName;
			}
			set
			{
				this._GroupName = value;
				IsChanged = true;
			}
		}

		private System.String _Memo;
		public System.String Memo
		{
			get
			{
				return this._Memo;
			}
			set
			{
				this._Memo = value;
				IsChanged = true;
			}
		}

		private System.Int16 _GroupType;
		public System.Int16 GroupType
		{
			get
			{
				return this._GroupType;
			}
			set
			{
				this._GroupType = value;
				IsChanged = true;
			}
		}

		private System.Int32 _ParentGroupID;
		public System.Int32 ParentGroupID
		{
			get
			{
				return this._ParentGroupID;
			}
			set
			{
				this._ParentGroupID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _ChildrenCount;
		public System.Int32 ChildrenCount
		{
			get
			{
				return this._ChildrenCount;
			}
			set
			{
				this._ChildrenCount = value;
				IsChanged = true;
			}
		}

		private System.Byte _Degree;
		public System.Byte Degree
		{
			get
			{
				return this._Degree;
			}
			set
			{
				this._Degree = value;
				IsChanged = true;
			}
		}

		private System.Int16 _IsDefault;
		public System.Int16 IsDefault
		{
			get
			{
				return this._IsDefault;
			}
			set
			{
				this._IsDefault = value;
				IsChanged = true;
			}
		}
	}
}